package com.ruoyi.project.production.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 区域检查整改记录对象 t_fives_change_record
 *
 * @author ruoyi
 * @date 2023-03-30
 */
public class TFivesChangeRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 区域序号 */
    @Excel(name = "区域序号")
    private String regionOrder;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 检查人id */
    @Excel(name = "检查人id")
    private String checkerId;

    /** 检查人姓名 */
    @Excel(name = "检查人姓名")
    private String checkerName;

    /** 检查问题描述 */
    @Excel(name = "检查问题描述")
    private String checkProblem;

    /** 检查附件 */
    @Excel(name = "检查附件")
    private String checkFile;

    /** 整改日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "整改日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeDate;

    /** 整改内容 */
    @Excel(name = "整改内容")
    private String changeContent;

    /** 整改后照片 */
    @Excel(name = "整改后照片")
    private String changeFile;

    /** 整改结果 */
    @Excel(name = "整改结果")
    private String changeResult;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /**
     * 部门名称
     */
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRegionOrder(String regionOrder)
    {
        this.regionOrder = regionOrder;
    }

    public String getRegionOrder()
    {
        return regionOrder;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setCheckerId(String checkerId)
    {
        this.checkerId = checkerId;
    }

    public String getCheckerId()
    {
        return checkerId;
    }
    public void setCheckerName(String checkerName)
    {
        this.checkerName = checkerName;
    }

    public String getCheckerName()
    {
        return checkerName;
    }
    public void setCheckProblem(String checkProblem)
    {
        this.checkProblem = checkProblem;
    }

    public String getCheckProblem()
    {
        return checkProblem;
    }
    public void setCheckFile(String checkFile)
    {
        this.checkFile = checkFile;
    }

    public String getCheckFile()
    {
        return checkFile;
    }
    public void setChangeDate(Date changeDate)
    {
        this.changeDate = changeDate;
    }

    public Date getChangeDate()
    {
        return changeDate;
    }
    public void setChangeContent(String changeContent)
    {
        this.changeContent = changeContent;
    }

    public String getChangeContent()
    {
        return changeContent;
    }
    public void setChangeFile(String changeFile)
    {
        this.changeFile = changeFile;
    }

    public String getChangeFile()
    {
        return changeFile;
    }
    public void setChangeResult(String changeResult)
    {
        this.changeResult = changeResult;
    }

    public String getChangeResult()
    {
        return changeResult;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("regionOrder", getRegionOrder())
            .append("position", getPosition())
            .append("owner", getOwner())
            .append("checkDate", getCheckDate())
            .append("checkerId", getCheckerId())
            .append("checkerName", getCheckerName())
            .append("checkProblem", getCheckProblem())
            .append("checkFile", getCheckFile())
            .append("changeDate", getChangeDate())
            .append("changeContent", getChangeContent())
            .append("changeFile", getChangeFile())
            .append("changeResult", getChangeResult())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
